version: '3.8'

services:
  printer:
    build: 
      context: .
      dockerfile: Dockerfile
    volumes:
      - ./app:/app
      - ./data:/data
      - ./logs:/logs
    environment:
      - AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID}
      - AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}
      - AWS_DEFAULT_REGION=${AWS_REGION}
    restart: always
    devices:
      - "/dev/usb/lp0:/dev/usb/lp0" 
    privileged: true  # プリンターアクセスに必要

